跳转到内容

Ideogram Transparent

集成

模型 id ideogram/v3/generate-transparent
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/v3/generate-transparent?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.06 60 API 积分 · ≈ ₽6.33 在此页面运行

获取 API 密钥
Ideogram · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填
rendering_speed 默认 BALANCED

渲染速度设置。

默认 1:1

结果图像的宽高比。

num_images 默认 1

要生成的图像数量。

高级 negative_prompt · seed · expand_prompt
默认

指定不需要的图像内容;主提示词中的描述优先于这些负面提示词描述。

随机数生成的种子值。

POST /run/ideogram/v3/generate-transparent?wait=20 报价 → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/v3/generate-transparent?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Ideogram Transparent

根据 `prompt` 生成透明背景图像,适用于贴纸、徽标和要放置在其他布局上的素材。提供十五种宽高比、TURBO、BALANCED 或 QUALITY 渲染、可选提示词扩展、负面提示词、种子以及每个请求 1 到 8 张图像。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
aspect_ratio可选
类型enum
默认值1:1
1:33:11:22:19:1616:910:1616:102:33:23:44:34:55:41:1
结果图像的宽高比。
rendering_speed可选
类型enum
默认值BALANCED
TURBOBALANCEDQUALITY
渲染速度设置。
expand_prompt可选
类型boolean
默认值true
请求生成的 MagicPrompt 使用开关。
negative_prompt可选
类型string
默认值
指定不需要的图像内容;主提示词中的描述优先于这些负面提示词描述。
num_images可选 num_outputs
类型integer
默认值1
1 – 8
要生成的图像数量。
seed可选
类型integer | null
随机数生成的种子值。
必填 规范名称,也可接受

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v3/generate-transparent",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, content_type, file_name, file_size}
seed
integer用于随机数生成的种子值。

更多模型:文生图

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/ideogram/v3/generate-transparent.md. 所有模型和指南: https://doitong.com/developers/llms.txt